-- Generated by Win32eru A Euphoria Resource Utility
-- Designed and Created by Bernard W. Ryan
-- Copyright (c) 2001-6 Ver 8.25  All rights reserved


-- Internal Support Constants
-- ~~~~~~~~~~~~~~~~~~~~~~~~~~
--
constant
  --
  EruUser = registerw32Library("user32.dll"),
  EruGdi = registerw32Library("gdi32.dll"),

  CreateIconFromResourceEx = registerw32Function(EruUser, "CreateIconFromResourceEx",
                            {C_UINT,C_UINT,C_SHORT,C_UINT,C_INT,C_INT,C_UINT},C_UINT),

  CreateDIBitmap = registerw32Function(EruGdi,"CreateDIBitmap",
            {C_UINT,C_UINT,C_UINT,C_UINT,C_UINT,C_UINT},C_UINT),

  GetDC = registerw32Function(EruUser,"GetDC",{C_UINT},C_UINT),

  LoadMenuIndirectA = registerw32Function(EruUser,"LoadMenuIndirectA",
                                                      {C_UINT},C_UINT),

  DialogBoxIndirectParamA = registerw32Function(EruUser,"DialogBoxIndirectParamA",
                                       {C_UINT,C_UINT,C_UINT,C_UINT,C_UINT},C_INT) 


-- Internal Support Routine
-- ~~~~~~~~~~~~~~~~~~~~~~~~
--
function ucs(sequence data)
-- Uncompresses bitmap sequences if necessary.
sequence s
atom idx
--
  s = {}
  idx = 0
  if equal("packed",data[1..6]) then
    data = data[7..length(data)]
  else
    return data
  end if
  while 1 do
    idx += 1
    if idx > length(data) then exit end if
    if atom(data[idx]) then
      s &= data[idx]
    else
      for i = 1 to data[idx][1] do
        s &= data[idx][2]
      end for
    end if
  end while
  return s
--
end function


-- Global Support Functions
  -- ~~~~~~~~~~~~~~~~~~~~~~~~
--
  global -- Return lower 16 bits of a 32 bit parameter
  function SWITCHonID(atom wParam) return and_bits(wParam,#FFFF) end function
--
  global -- Return higher 16 bits of a 32 bit parameter
  function SWITCHonCMD(atom wParam) return floor(wParam/#10000) end function

global constant
--
  EndDialog = registerw32Function(EruUser,"EndDialog",{C_UINT,C_INT},C_SHORT),
  WM_INITDIALOG = #0110

-- Global Resource Constants
-- ~~~~~~~~~~~~~~~~~~~~~~~~~
global constant
  --

  -- menu and toolbar commands
  ID_NEW        = 100,
  ID_OPEN       = 101,
  ID_SAVE       = 102,
  ID_COPY       = 103,
  ID_PASTE      = 104,
  ID_PRINT      = 105,
  ID_CUT        = 106,
  ID_COMBO      = 107,
  ID_ABOUT      = 108,
  ID_EXIT       = 109,
  ID_TBAR       = 110,

  -- icons & bitmaps
  IDI_tbar      = 300,
  IDB_tbar      = 400,

  -- toolbar constants
  IDR_tbar      = 500,

  -- Application Title
  IDS_APPTITLE  = 600,

  -- toolbar tooltips
  IDS_NEW       = ID_NEW,
  IDS_OPEN      = ID_OPEN,
  IDS_SAVE      = ID_SAVE,
  IDS_COPY      = ID_COPY,
  IDS_PASTE     = ID_PASTE,
  IDS_PRINT     = ID_PRINT,
  IDS_CUT       = ID_CUT,
  IDS_COMBO     = ID_COMBO,
  IDS_ABOUT     = ID_ABOUT,
  IDS_TBAR      = ID_TBAR

global atom
  --
  hInstance,        -- Handle to application instance
  hIcon1,           -- Handle for Icon resource
  hIdb_tbar2,        -- Handle for Bmp resource
  hIdb_eu3,          -- Handle for Bmp resource
  hTbarm4,           -- Handle for Menu resource
  hAboutbox5         -- Handle for Dialog resource

  -- Initialize the Application Instance
  hInstance = instance()

constant StrTable =
  { -100,3,0,78,0,101,0,119,0,-101,4,0,79,0,112,0,101,0,110,
  0,-102,4,0,83,0,97,0,118,0,101,0,-103,4,0,67,0,111,0,112,
  0,121,0,-104,5,0,80,0,97,0,115,0,116,0,101,0,-105,5,0,80,
  0,114,0,105,0,110,0,116,0,-106,3,0,67,0,117,0,116,0,-107,24,
  0,68,0,114,0,111,0,112,0,45,0,100,0,111,0,119,0,110,0,32,
  0,108,0,105,0,115,0,116,0,32,0,99,0,111,0,109,0,98,0,111,
  0,45,0,98,0,111,0,120,0,-108,5,0,65,0,98,0,111,0,117,0,
  116,0,-110,159,0,84,0,114,0,121,0,32,0,68,0,111,0,117,0,98,
  0,108,0,101,0,67,0,108,0,105,0,99,0,107,0,105,0,110,0,103,
  0,32,0,111,0,110,0,32,0,116,0,104,0,101,0,32,0,84,0,111,
  0,111,0,108,0,66,0,97,0,114,0,32,0,116,0,111,0,32,0,99,
  0,117,0,115,0,116,0,111,0,109,0,105,0,122,0,101,0,32,0,116,
  0,104,0,101,0,32,0,84,0,111,0,111,0,108,0,66,0,97,0,114,
  0,32,0,33,0,10,0,84,0,111,0,32,0,109,0,111,0,118,0,101,
  0,32,0,111,0,114,0,32,0,114,0,101,0,112,0,111,0,115,0,105,
  0,116,0,105,0,111,0,110,0,32,0,97,0,110,0,121,0,32,0,84,
  0,111,0,111,0,108,0,66,0,97,0,114,0,32,0,98,0,117,0,116,
  0,116,0,111,0,110,0,32,0,58,0,10,0,72,0,111,0,108,0,100,
  0,32,0,83,0,104,0,105,0,102,0,116,0,45,0,75,0,101,0,121,
  0,32,0,97,0,110,0,100,0,32,0,76,0,101,0,102,0,116,0,45,
  0,77,0,111,0,117,0,115,0,101,0,66,0,117,0,116,0,116,0,111,
  0,110,0,68,0,111,0,119,0,110,0,32,0,119,0,104,0,105,0,108,
  0,101,0,32,0,100,0,114,0,97,0,103,0,103,0,105,0,110,0,103,
  0,46,0,-600,77,0,84,0,111,0,111,0,108,0,98,0,97,0,114,0,
  32,0,68,0,101,0,109,0,111,0,110,0,115,0,116,0,114,0,97,0,
  116,0,105,0,111,0,110,0,32,0,117,0,115,0,105,0,110,0,103,0,
  32,0,87,0,105,0,110,0,51,0,50,0,101,0,114,0,117,0,46,0,
  101,0,120,0,119,0,32,0,32,0,32,0,32,0,32,0,32,0,32,0,
  32,0,32,0,32,0,32,0,32,0,32,0,66,0,101,0,114,0,110,0,
  97,0,114,0,100,0,32,0,87,0,46,0,32,0,82,0,121,0,97,0,
  110,0,32,0,169,0,32,0,50,0,48,0,48,0,49,0,45,0,54,0 }

 global constant
  ascii_str = #03000001,
  unicode_str = #03000002

  atom m1
  m1 = allocate(2216)
  poke(m1, ucs(
      { 112,97,99,107,101,100,40,{3,0},32,{3,0},64,{3,0},1,0,8,{5,0},128,
      4,{24,0},128,0,0,128,{3,0},128,128,0,128,{3,0},128,0,128,0,128,128,
      0,0,{3,192},0,192,220,192,0,240,202,166,0,212,240,255,0,177,226,
      255,0,142,212,255,0,107,198,255,0,72,184,255,0,37,170,255,0,
      0,170,255,0,0,146,220,0,0,122,185,0,0,98,150,0,0,74,
      115,0,0,50,80,0,212,227,255,0,177,199,255,0,142,171,255,0,
      107,143,255,0,72,115,255,0,37,87,255,0,0,85,255,0,0,73,
      220,0,0,61,185,0,0,49,150,0,0,37,115,0,0,25,80,0,
      212,212,255,0,177,177,255,0,142,142,255,0,107,107,255,0,72,72,
      255,0,37,37,255,{3,0},254,{3,0},220,{3,0},185,{3,0},150,{3,0},115,{3,0},80,0,
      227,212,255,0,199,177,255,0,171,142,255,0,143,107,255,0,115,72,
      255,0,87,37,255,0,85,0,255,0,73,0,220,0,61,0,185,0,
      49,0,150,0,37,0,115,0,25,0,80,0,240,212,255,0,226,177,
      255,0,212,142,255,0,198,107,255,0,184,72,255,0,170,37,255,0,
      170,0,255,0,146,0,220,0,122,0,185,0,98,0,150,0,74,0,
      115,0,50,0,80,0,255,212,255,0,255,177,255,0,255,142,255,0,
      255,107,255,0,255,72,255,0,255,37,255,0,254,0,254,0,220,0,
      220,0,185,0,185,0,150,0,150,0,115,0,115,0,80,0,80,0,
      255,212,240,0,255,177,226,0,255,142,212,0,255,107,198,0,255,72,
      184,0,255,37,170,0,255,0,170,0,220,0,146,0,185,0,122,0,
      150,0,98,0,115,0,74,0,80,0,50,0,255,212,227,0,255,177,
      199,0,255,142,171,0,255,107,143,0,255,72,115,0,255,37,87,0,
      255,0,85,0,220,0,73,0,185,0,61,0,150,0,49,0,115,0,
      37,0,80,0,25,0,255,212,212,0,255,177,177,0,255,142,142,0,
      255,107,107,0,255,72,72,0,255,37,37,0,254,{3,0},220,{3,0},185,{3,0},
      150,{3,0},115,{3,0},80,{3,0},255,227,212,0,255,199,177,0,255,171,142,0,
      255,143,107,0,255,115,72,0,255,87,37,0,255,85,0,0,220,73,
      0,0,185,61,0,0,150,49,0,0,115,37,0,0,80,25,0,0,
      255,240,212,0,255,226,177,0,255,212,142,0,255,198,107,0,255,184,
      72,0,255,170,37,0,255,170,0,0,220,146,0,0,185,122,0,0,
      150,98,0,0,115,74,0,0,80,50,0,0,255,255,212,0,255,255,
      177,0,255,255,142,0,255,255,107,0,255,255,72,0,255,255,37,0,
      254,254,0,0,220,220,0,0,185,185,0,0,150,150,0,0,115,115,
      0,0,80,80,0,0,240,255,212,0,226,255,177,0,212,255,142,0,
      198,255,107,0,184,255,72,0,170,255,37,0,170,255,0,0,146,220,
      0,0,122,185,0,0,98,150,0,0,74,115,0,0,50,80,0,0,
      227,255,212,0,199,255,177,0,171,255,142,0,143,255,107,0,115,255,
      72,0,87,255,37,0,85,255,0,0,73,220,0,0,61,185,0,0,
      49,150,0,0,37,115,0,0,25,80,0,0,212,255,212,0,177,255,
      177,0,142,255,142,0,107,255,107,0,72,255,72,0,37,255,37,0,
      0,254,{3,0},220,{3,0},185,{3,0},150,{3,0},115,{3,0},80,0,0,212,255,227,0,
      177,255,199,0,142,255,171,0,107,255,143,0,72,255,115,0,37,255,
      87,0,0,255,85,0,0,220,73,0,0,185,61,0,0,150,49,0,
      0,115,37,0,0,80,25,0,212,255,240,0,177,255,226,0,142,255,
      212,0,107,255,198,0,72,255,184,0,37,255,170,0,0,255,170,0,
      0,220,146,0,0,185,122,0,0,150,98,0,0,115,74,0,0,80,
      50,0,212,255,255,0,177,255,255,0,142,255,255,0,107,255,255,0,
      72,255,255,0,37,255,255,0,0,254,254,0,0,220,220,0,0,185,
      185,0,0,150,150,0,0,115,115,0,0,80,80,0,{3,242},0,{3,230},0,
      {3,218},0,{3,206},0,{3,194},0,{3,182},0,{3,170},0,{3,158},0,{3,146},0,{3,134},0,{3,122},0,
      {3,110},0,{3,98},0,{3,86},0,{3,74},0,{3,62},0,{3,50},0,{3,38},0,{3,26},0,{3,14},0,
      240,251,255,0,164,160,160,0,{3,128},{3,0},255,0,0,255,{3,0},255,255,0,
      255,{3,0},255,0,255,0,255,255,0,0,{3,255},0,{73,219},{19,0},{12,219},0,{18,151},0,
      {11,219},0,151,151,254,229,254,229,254,229,254,229,254,229,254,229,254,229,
      254,229,254,0,{10,219},0,{3,151},229,254,229,254,229,{7,253},229,254,229,254,254,
      0,{9,219},0,{4,151},254,229,254,229,254,{7,253},254,229,254,229,254,0,{8,219},0,
      {5,151},229,254,229,254,229,253,253,254,229,254,229,254,229,254,229,254,254,
      0,{8,219},0,{5,151},254,229,254,229,254,253,253,229,254,229,254,229,254,229,
      254,229,254,0,{8,219},0,{5,151},229,254,229,254,229,{5,253},229,254,229,254,229,
      254,254,0,{8,219},0,{5,151},254,229,254,229,254,{5,253},254,229,254,229,254,229,
      254,0,{8,219},0,{5,151},229,254,229,254,229,253,253,254,229,254,229,254,229,
      254,229,254,254,0,{8,219},0,{5,151},254,229,254,229,254,253,253,229,254,229,
      254,229,254,229,254,229,254,0,{8,219},0,{5,151},229,254,229,254,229,{7,253},229,
      254,229,254,254,0,{8,219},0,{5,151},254,229,254,229,254,{7,253},254,229,254,229,
      254,0,{8,219},0,{5,151},{17,254},0,{8,219},0,{3,151},0,0,{18,151},0,{7,219},0,151,151,
      0,151,0,{12,229},{4,151},229,255,151,0,{6,219},0,151,0,151,151,0,{12,229},{3,151},
      229,255,229,255,151,0,{5,219},0,0,{3,151},0,{14,151},229,255,229,255,229,255,
      0,{5,219},0,{4,151},0,229,255,229,255,229,255,229,255,229,255,229,255,151,
      0,255,229,255,229,255,0,{6,219},0,{3,151},0,229,255,229,255,229,255,229,
      255,229,255,229,255,151,219,219,0,255,229,255,0,{7,219},0,151,151,0,
      229,255,229,255,229,255,229,255,229,255,229,255,229,151,{3,219},0,255,0,
      {7,219},151,{3,0},229,255,229,255,229,255,229,255,229,255,229,255,229,151,{5,219},
      0,{8,219},151,229,255,229,255,229,255,229,255,229,255,229,255,229,255,229,
      255,151,{13,219},{18,151},{14,219},151,{16,229},151,{14,219},151,{16,229},151,{14,219},151,{16,229},151,{14,219},{18,151},
      {76,219},{128,0} }
      ))

  atom mIdb_tbar2
  mIdb_tbar2 = allocate(1184)
  poke(mIdb_tbar2, ucs(
      { 112,97,99,107,101,100,40,{3,0},144,{3,0},15,{3,0},1,0,4,{5,0},56,
      4,{24,0},128,0,0,128,{3,0},128,128,0,128,{3,0},128,0,128,0,128,128,
      0,0,{3,128},0,{3,192},{3,0},255,0,0,255,{3,0},255,255,0,255,{3,0},255,0,
      255,0,255,255,0,0,{3,255},0,{89,136},{6,0},8,136,136,132,72,{15,136},132,{4,68},
      136,{5,0},8,{4,136},128,0,{6,136},0,{5,136},128,{5,0},136,128,{5,0},136,136,128,51,
      {3,0},136,3,8,136,136,72,132,136,68,{5,136},132,{4,68},136,0,0,4,{3,255},
      244,128,{4,136},128,128,{4,136},11,176,8,{5,136},0,{5,136},128,{4,255},240,136,128,3,
      {4,51},8,136,128,51,{3,0},136,3,8,136,136,72,132,132,136,72,{4,136},132,
      {3,255},244,128,55,55,52,244,68,68,244,{6,0},8,8,{3,136},11,176,8,{4,136},
      128,8,136,68,72,136,136,128,{4,255},240,136,128,240,{4,51},48,136,128,51,
      {3,0},136,3,8,136,136,72,132,132,136,72,{4,136},132,240,0,0,244,128,
      115,115,116,{3,255},244,8,136,136,139,187,136,0,8,{3,136},128,8,{3,136},128,
      136,128,8,136,68,72,136,136,128,{4,255},240,136,128,191,3,{4,51},8,128,
      51,{4,0},3,8,136,136,132,68,132,136,72,136,128,0,0,4,{3,255},244,
      128,55,55,52,244,68,244,68,8,136,136,135,119,136,8,8,{3,136},11,
      0,{3,136},128,8,0,{6,136},128,{4,255},240,136,128,251,240,{4,51},48,128,{6,51},8,
      {3,136},132,132,68,136,136,128,255,255,244,240,0,0,244,128,115,115,116,
      255,255,244,244,{6,0},8,128,{3,136},11,0,{3,136},128,0,0,136,136,68,120,
      136,136,128,{4,255},240,136,128,191,191,{5,0},128,51,{4,0},51,8,{3,136},132,4,
      {3,136},128,240,0,4,{3,255},244,128,55,55,52,255,255,244,72,8,{4,136},{3,128},
      {3,136},11,0,{3,136},128,{3,0},8,68,120,136,136,128,{4,255},240,136,128,{4,251},240,
      136,136,128,48,{4,136},3,8,{4,136},8,{3,136},128,255,255,244,240,15,68,68,
      128,115,115,116,{3,68},8,128,{4,0},8,8,0,{3,136},11,176,8,136,136,128,
      {3,0},136,132,72,136,136,128,{4,255},240,136,128,{4,191},176,136,136,128,48,{4,136},
      3,8,{3,136},128,0,{3,136},128,240,0,4,255,255,79,72,128,{6,55},8,136,
      15,{3,255},240,128,128,136,136,0,128,187,0,136,136,128,0,0,8,136,
      136,68,120,136,128,{4,255},240,136,128,251,240,{3,0},136,136,128,48,{4,136},3,
      8,{3,136},128,128,{3,136},128,255,255,244,255,255,68,136,128,115,{4,0},115,8,
      136,128,240,0,0,240,0,8,136,128,176,8,11,176,8,136,128,0,
      0,135,68,136,116,71,136,128,{3,255},0,0,136,136,0,8,{3,136},128,0,
      128,48,{4,136},3,8,{3,136},0,128,8,136,136,128,240,15,4,68,68,72,
      136,128,55,8,136,136,128,55,8,136,128,{4,255},8,136,136,128,176,8,
      128,176,8,136,128,0,8,132,71,136,132,68,136,128,{3,255},15,8,{8,136},
      0,128,48,{4,136},0,8,{3,136},8,136,8,136,136,128,255,255,15,8,{3,136},
      128,115,112,176,11,3,115,8,136,136,15,0,0,15,8,136,136,128,
      187,0,11,176,8,136,128,0,136,132,71,136,132,68,136,128,{3,255},0,
      {6,136},128,136,{3,128},48,{4,136},8,8,{3,136},8,136,8,136,136,128,255,255,0,
      {5,136},0,0,11,176,0,0,{3,136},15,{3,255},240,{3,136},11,187,187,0,136,136,
      128,8,136,136,68,136,116,71,136,128,{3,0},8,{7,136},0,8,136,128,{6,0},
      8,{3,136},8,136,8,136,136,128,0,0,8,{7,136},0,0,{5,136},128,{4,0},{3,136},
      128,0,0,8,136,136,128,{3,136},132,68,68,120 }
      ))

  atom mIdb_eu3
  mIdb_eu3 = allocate(42896)
  poke(mIdb_eu3, ucs(
      { 112,97,99,107,101,100,40,{3,0},76,1,0,0,126,{3,0},1,0,8,
      {5,0},104,163,{11,0},1,{3,0},1,0,0,27,25,97,0,39,37,99,0,54,
      53,94,0,71,70,105,0,52,43,184,0,45,39,131,0,66,65,83,
      0,65,58,140,0,125,120,174,0,32,22,122,0,106,98,173,0,144,
      139,186,0,164,159,202,0,169,167,188,0,208,206,225,0,215,213,231,
      0,229,228,238,0,15,1,109,0,13,3,79,0,22,9,113,0,37,
      18,167,0,188,185,208,0,200,197,220,0,141,139,153,0,223,221,234,
      0,240,239,246,0,239,238,245,0,241,240,246,0,59,16,226,0,91,
      73,159,0,164,158,175,0,104,3,253,0,110,26,208,0,160,1,251,
      0,130,106,139,0,214,0,253,0,135,122,136,0,143,136,143,0,119,
      118,119,0,111,110,111,0,240,0,235,0,123,46,120,0,198,24,187,
      0,254,0,207,0,153,44,133,0,120,99,116,0,254,1,160,0,117,
      71,99,0,188,36,108,0,254,1,114,0,255,1,58,0,211,25,70,
      0,128,55,66,0,155,25,42,0,255,8,19,0,217,30,28,0,139,
      133,133,0,42,41,41,0,137,136,136,0,194,51,38,0,117,79,76,
      0,255,48,3,0,161,69,38,0,143,140,139,0,225,81,18,0,254,
      103,0,0,184,100,38,0,211,125,29,0,141,83,10,0,113,108,101,
      0,255,162,0,0,142,107,46,0,237,200,133,0,242,205,139,0,197,
      167,114,0,178,151,103,0,113,103,86,0,178,120,13,0,208,173,102,
      0,157,131,79,0,212,177,107,0,220,184,115,0,163,137,87,0,227,
      191,122,0,232,196,128,0,170,145,97,0,143,129,101,0,148,141,128,
      0,175,133,40,0,180,147,72,0,184,150,76,0,187,153,79,0,190,
      157,83,0,173,142,76,0,194,160,86,0,139,115,62,0,197,163,90,
      0,153,126,70,0,201,166,94,0,204,170,98,0,97,81,47,0,187,
      156,92,0,141,122,82,0,85,76,56,0,97,87,66,0,153,148,137,
      0,101,79,23,0,147,115,36,0,150,119,40,0,154,122,43,0,113,
      90,32,0,154,122,44,0,157,126,47,0,161,129,51,0,164,132,55,
      0,168,135,58,0,167,136,59,0,171,139,62,0,120,97,44,0,174,
      142,65,0,178,145,69,0,129,107,53,0,112,99,68,0,62,57,45,
      0,81,76,64,0,116,86,2,0,123,94,13,0,89,68,13,0,133,
      104,21,0,133,103,21,0,137,106,25,0,140,109,28,0,139,110,28,
      0,143,112,31,0,144,113,32,0,143,113,32,0,65,52,15,0,147,
      116,35,0,147,116,36,0,150,119,39,0,40,32,11,0,131,106,37,
      0,150,123,50,0,70,58,25,0,80,69,40,0,68,65,57,0,117,
      116,112,0,252,207,0,0,223,191,22,0,128,127,118,0,190,177,23,
      0,166,162,39,0,242,247,0,0,142,142,139,0,138,138,136,0,74,
      74,73,0,142,142,141,0,144,149,47,0,141,142,133,0,136,163,40,
      0,194,254,1,0,169,220,23,0,133,193,34,0,146,255,1,0,90,
      123,52,0,72,127,24,0,101,152,55,0,97,254,1,0,134,140,132,
      0,48,255,0,0,140,145,139,0,33,208,25,0,100,119,99,0,20,
      230,13,0,41,189,36,0,82,115,81,0,8,255,7,0,49,163,51,
      0,55,124,66,0,0,255,47,0,23,204,69,0,0,255,90,0,40,
      164,103,0,1,253,147,0,57,121,95,0,0,255,201,0,15,230,210,
      0,100,117,116,0,50,143,138,0,0,246,246,0,135,138,138,0,29,
      188,193,0,83,105,106,0,63,110,118,0,1,203,254,0,1,148,254,
      0,32,110,196,0,1,96,252,0,146,148,152,0,2,50,242,0,6,
      43,207,0,3,19,178,0,94,97,134,0,5,12,138,0,13,18,110,
      0,44,45,82,0,120,121,149,0,35,35,80,0,78,78,82,0,216,
      216,223,0,105,105,106,0,85,85,86,0,251,251,252,0,157,157,158,
      0,{3,255},0,{3,253},0,{3,250},0,{3,248},0,{3,247},0,{3,245},0,{3,242},0,{3,241},0,{3,239},
      0,{3,236},0,{3,235},0,{3,234},0,{3,231},0,{3,229},0,{3,226},0,{3,222},0,{3,217},0,{3,211},
      0,{3,207},0,{3,203},0,{3,198},0,{3,195},0,{3,191},0,{3,187},0,{3,182},0,{3,177},0,{3,170},
      0,{3,164},0,{3,154},0,{3,151},0,{3,148},0,{3,144},0,{3,140},0,{3,138},0,{3,134},0,{3,130},
      0,{3,125},0,{3,102},0,{3,94},0,{3,69},0,{3,17},{5,0},{404,214},215,215,{325,214},27,15,12,
      11,11,12,22,24,215,{320,214},215,222,12,7,19,{5,17},5,10,24,{319,214},14,
      29,{10,17},9,11,{306,214},229,247,242,{8,214},22,5,{12,17},19,8,{47,214},247,242,{49,214},
      247,242,{18,214},222,242,247,248,232,{48,214},240,190,246,240,{25,214},232,58,58,242,
      221,{17,214},232,58,58,242,221,{78,214},232,253,255,38,{6,214},14,7,{14,17},19,11,
      27,{45,214},255,253,{49,214},255,253,{18,214},253,255,253,57,255,240,{46,214},247,255,123,
      57,255,38,{23,214},237,255,57,253,255,57,{16,214},237,255,57,253,255,57,{37,214},
      237,237,{26,214},215,215,{13,214},251,255,222,{4,214},26,10,{11,17},5,7,2,17,17,
      9,15,{9,214},{4,215},{8,214},215,215,212,{3,214},{4,215},{14,214},255,253,{14,214},215,215,212,{32,214},
      255,253,{11,214},{4,215},{3,214},190,233,214,222,255,211,{6,214},215,215,214,215,212,{35,214},
      242,240,214,214,57,254,{10,214},215,215,{11,214},237,242,222,214,38,255,232,{15,214},
      237,242,222,214,38,255,232,{8,214},215,215,{24,214},229,254,255,255,57,221,214,
      214,38,255,254,38,255,247,214,237,57,255,255,251,222,214,240,254,255,
      232,{4,214},247,57,255,254,247,214,222,253,255,253,211,254,222,214,214,251,
      255,213,{4,214},21,9,214,146,17,17,29,212,237,18,17,9,21,{3,214},229,
      2,17,10,{4,214},240,254,255,232,214,242,57,255,123,232,{6,214},240,57,255,
      57,233,214,214,242,57,255,123,232,214,214,253,255,214,214,255,253,214,
      237,255,247,214,255,57,253,255,253,222,214,237,255,247,214,253,255,214,
      214,240,57,255,57,233,214,222,253,255,253,211,254,222,214,253,255,211,
      215,233,253,255,254,247,214,214,242,254,255,38,255,247,{5,214},255,57,253,
      255,253,222,214,247,255,237,{3,214},242,57,255,123,232,214,215,233,57,255,
      211,255,253,214,247,255,237,214,214,232,57,255,38,57,253,214,247,255,
      237,214,253,255,214,214,255,253,214,253,255,214,214,255,253,214,237,255,
      247,214,253,255,214,237,255,247,214,237,255,247,214,222,253,255,57,57,
      255,{5,214},247,255,237,214,38,255,57,146,255,237,214,255,253,214,214,255,
      253,214,214,38,255,254,253,255,237,214,242,254,255,211,57,253,214,222,
      253,255,253,211,254,222,214,38,255,254,253,255,237,214,222,251,255,255,
      251,222,214,247,57,255,254,247,214,214,253,255,{17,214},251,255,247,247,255,
      38,214,232,255,57,236,57,255,247,222,254,57,240,242,255,251,214,253,
      255,240,229,{3,214},237,255,253,237,38,255,242,247,255,247,247,255,253,214,
      214,222,254,254,57,{4,214},8,17,214,38,17,17,228,214,237,18,17,21,
      214,242,3,206,222,222,18,9,24,{3,214},253,255,240,229,240,255,251,237,
      57,254,222,{4,214},229,255,57,236,57,254,222,240,255,251,237,57,254,222,
      214,253,255,214,214,255,253,214,237,255,247,214,255,255,58,247,255,251,
      214,237,255,247,214,253,255,214,229,255,57,236,57,254,222,247,255,247,
      247,255,253,214,237,255,211,237,214,57,254,240,251,254,237,229,255,57,
      236,57,255,247,{5,214},255,255,58,247,255,251,214,247,255,237,214,214,240,
      255,251,237,57,254,222,214,57,254,240,251,255,253,214,247,255,237,214,
      214,211,255,240,211,255,247,214,247,255,237,214,253,255,214,214,255,253,
      214,253,255,214,214,255,253,214,237,255,247,214,253,255,214,237,255,247,
      214,237,255,247,214,251,255,246,247,255,255,{5,214},247,255,237,232,255,211,
      240,255,255,214,214,255,253,214,214,255,253,214,242,255,251,240,254,255,
      237,214,254,254,240,251,255,253,214,247,255,247,247,255,253,214,242,255,
      251,240,254,255,237,214,251,255,246,247,255,247,237,255,253,237,38,255,
      242,214,38,253,{17,214},242,253,214,214,255,253,214,237,255,247,214,237,255,
      247,214,229,232,240,38,255,253,214,253,255,{6,214},232,232,242,211,255,247,
      247,255,247,214,255,253,214,214,242,255,247,255,229,214,214,26,7,17,
      214,146,17,8,214,223,238,18,7,214,243,{3,17},10,215,38,19,21,215,
      214,214,253,255,214,214,211,255,229,214,242,255,247,{4,214},247,255,240,214,
      237,242,222,211,255,229,214,242,255,247,214,253,255,214,214,255,253,214,
      237,255,247,214,255,57,214,214,57,254,214,237,255,247,214,253,255,214,
      247,255,240,214,237,242,222,247,255,247,214,255,253,214,237,255,247,214,
      232,255,38,{4,214},247,255,240,214,240,255,247,{5,214},255,57,214,214,57,254,
      214,247,255,237,214,214,211,255,229,214,242,255,247,232,255,38,214,222,
      255,253,214,247,255,237,214,214,211,255,232,237,255,247,214,247,255,237,
      214,253,255,214,214,255,253,214,253,255,214,214,255,253,214,237,255,247,
      214,253,255,214,237,255,247,214,237,255,247,214,254,57,214,214,57,255,
      {5,214},247,255,237,232,255,211,214,253,255,214,214,255,253,214,214,255,253,
      214,211,255,222,214,38,255,237,214,255,253,214,214,255,253,214,247,255,
      247,214,255,253,214,211,255,222,214,38,255,237,214,254,57,{5,214},232,232,
      242,211,255,247,214,237,247,{21,214},255,253,214,237,255,247,214,237,255,247,
      214,242,{3,255},57,232,214,253,255,{6,214},251,{3,255},253,222,222,253,255,254,255,
      253,214,214,211,57,222,255,58,214,214,24,5,17,214,146,9,222,241,
      21,237,18,8,215,252,{3,17},9,214,237,18,12,{3,214},253,255,214,214,253,
      255,214,214,237,255,247,{4,214},247,255,237,{4,214},253,255,214,214,237,255,247,
      214,253,255,214,214,255,253,214,237,255,247,214,255,253,214,215,145,255,
      214,237,255,247,214,253,255,214,247,255,237,{4,214},222,253,255,254,255,253,
      214,237,255,247,214,237,{5,255},247,247,255,237,214,237,255,247,{5,214},255,253,
      214,215,145,255,214,247,255,237,214,214,253,255,214,214,237,255,247,237,
      255,247,214,214,255,253,214,247,255,237,214,214,232,57,255,254,255,247,
      214,247,255,237,214,253,255,214,214,255,253,214,253,255,214,214,255,253,
      214,237,255,247,214,253,255,214,237,255,247,214,237,255,247,215,255,253,
      214,215,253,255,{5,214},247,255,237,214,38,255,255,254,255,214,214,255,253,
      214,214,255,253,214,253,255,214,214,247,255,237,214,255,253,214,214,255,
      253,214,222,253,255,254,255,253,214,253,255,214,214,247,255,237,215,{5,255},
      253,214,251,{3,255},253,222,214,247,253,{21,214},255,253,214,237,255,247,214,237,
      255,247,215,255,254,247,236,232,214,214,253,255,{5,214},237,255,123,242,237,
      229,214,214,229,228,240,255,253,214,229,255,38,214,57,57,215,214,14,
      9,17,214,38,11,215,207,21,237,18,8,214,6,{4,17},214,237,18,11,
      {3,214},253,255,214,214,251,255,231,214,247,255,242,{4,214},242,255,242,214,237,
      243,222,251,255,231,214,247,255,242,214,253,255,221,214,255,57,214,236,
      255,247,214,255,57,215,214,57,57,212,237,255,247,214,253,255,214,242,
      255,242,214,237,243,222,214,229,228,240,255,253,214,236,255,58,214,229,
      255,38,215,240,255,242,242,255,242,214,242,255,247,{5,214},255,57,215,214,
      57,57,212,247,255,211,214,214,251,255,231,214,247,255,242,229,255,251,
      214,228,255,253,214,247,255,211,{3,214},232,229,247,255,247,214,247,255,240,
      214,253,255,228,214,255,253,214,253,255,221,214,255,57,214,236,255,247,
      214,253,255,214,237,255,251,214,236,255,247,214,57,57,212,214,57,255,
      {5,214},247,255,237,214,222,229,237,57,255,214,214,255,57,215,214,255,253,
      214,251,255,228,214,251,255,237,214,255,253,214,214,255,253,214,214,229,
      228,240,255,253,214,251,255,228,214,251,255,237,214,57,57,214,222,255,
      251,237,255,123,242,237,229,214,214,247,253,{21,214},255,253,214,237,255,247,
      214,237,255,247,214,57,254,247,57,255,237,242,254,255,253,232,{3,214},229,
      255,57,246,254,254,222,222,254,57,38,255,251,214,247,255,232,214,247,
      255,232,214,15,9,17,214,242,214,38,17,21,237,18,8,215,210,{3,17},
      5,215,240,18,11,214,214,242,254,255,253,232,229,254,57,246,254,57,
      {5,214},222,254,254,247,254,57,215,229,254,57,246,254,57,214,214,253,254,
      57,210,255,254,211,57,255,242,214,255,254,211,211,255,247,214,237,255,
      247,214,253,255,214,222,254,254,247,254,57,215,222,254,57,38,255,251,
      214,57,255,57,146,214,211,254,38,57,254,222,222,254,254,247,254,255,
      247,{5,214},255,254,211,211,255,247,214,247,255,254,255,247,229,254,57,246,
      254,57,214,214,253,255,38,57,255,253,214,247,255,254,255,247,237,255,
      211,211,255,242,214,247,255,57,58,255,254,57,211,255,251,214,253,254,
      57,210,255,254,211,57,255,242,214,253,255,214,237,255,254,38,57,255,
      240,214,247,255,211,211,255,255,{5,214},247,255,237,214,253,254,247,254,57,
      215,214,255,254,211,211,255,38,214,237,255,57,38,255,255,237,214,255,
      253,214,214,255,253,214,222,254,57,38,255,251,214,237,255,57,38,255,
      255,237,214,247,255,251,253,255,237,229,255,57,246,254,254,222,214,251,
      254,{21,214},255,253,214,229,247,237,214,229,247,237,214,229,251,253,211,240,
      214,237,57,255,247,229,{4,214},237,211,253,251,232,214,214,237,211,253,251,
      222,214,242,247,214,214,229,247,237,214,16,5,17,214,214,222,18,17,
      21,237,18,5,215,237,18,17,17,8,214,251,19,12,214,214,237,57,
      255,247,229,214,232,251,253,38,222,{6,214},229,251,253,251,229,214,214,232,
      251,253,38,222,214,214,242,242,240,253,251,222,247,253,247,214,214,247,
      237,247,253,247,214,214,237,255,247,214,242,247,214,214,229,251,253,251,
      229,214,214,237,211,253,251,222,214,251,255,253,242,214,222,247,253,251,
      229,214,214,232,211,211,247,255,247,{5,214},247,237,247,253,247,214,214,237,
      247,232,253,247,214,232,251,253,38,222,214,214,222,251,253,247,242,242,
      214,237,247,232,253,247,214,242,253,253,247,214,214,237,247,232,211,211,
      232,240,253,251,222,214,242,242,240,253,251,222,247,253,247,214,214,242,
      247,214,229,247,232,251,253,247,{3,214},247,253,38,240,247,{5,214},247,255,237,
      214,229,251,253,211,232,214,214,247,237,247,253,251,222,214,214,240,253,
      211,237,247,229,214,247,242,214,214,247,242,214,214,237,211,253,251,222,
      214,214,240,253,211,237,247,229,214,214,242,253,211,237,214,214,237,211,
      253,251,232,214,214,253,255,{21,214},255,253,{16,214},211,255,{27,214},26,29,17,214,
      214,38,17,17,21,237,18,17,11,214,232,206,30,215,233,18,19,14,
      {3,214},211,255,{46,214},237,255,247,214,38,253,{15,214},232,255,247,{12,214},237,255,247,
      {66,214},38,253,{20,214},247,255,237,{59,214},253,255,{21,214},253,38,{17,214},247,{28,214},12,17,
      21,240,18,17,17,11,23,18,17,17,8,229,214,222,213,0,17,7,
      27,{4,214},247,{46,214},232,253,242,214,38,253,{16,214},232,240,{12,214},232,253,242,{66,214},
      38,253,{20,214},242,253,232,{59,214},38,253,{69,214},24,7,{17,17},12,{313,214},12,9,{15,17},
      29,26,{313,214},25,8,19,{13,17},5,14,{315,214},26,8,19,{11,17},7,21,{317,214},27,
      12,7,19,{7,17},9,10,15,{51,214},{5,215},{264,214},24,11,29,5,{3,9},7,8,22,
      25,{48,214},215,212,216,217,218,219,219,220,{4,221},{9,222},{3,223},{3,224},223,223,{5,224},{6,225},
      {5,224},223,223,224,224,{3,223},{6,222},221,221,220,220,219,219,218,216,212,212,{207,214},
      26,16,14,15,15,26,{42,214},215,212,216,217,218,219,220,220,221,222,223,
      16,226,228,227,229,228,228,229,229,{6,230},229,229,{8,230},{3,231},{4,232},{4,233},234,234,
      233,234,235,234,235,234,{5,235},234,234,233,234,234,{3,233},{3,232},231,230,230,229,
      228,226,225,223,222,220,219,218,217,212,212,{241,214},215,212,212,216,217,219,
      220,222,223,223,226,24,229,209,209,232,238,239,239,240,242,105,37,37,
      36,249,36,250,36,250,168,168,56,36,250,34,38,39,146,172,69,146,
      69,69,251,251,76,252,76,{5,252},211,104,211,208,104,{3,211},208,{3,211},60,211,
      60,252,252,60,251,{3,69},146,249,247,245,213,239,236,234,234,232,231,230,
      229,228,227,225,222,220,219,217,216,215,{232,214},212,212,216,217,219,221,223,
      229,231,232,236,238,239,213,{3,23},34,29,7,7,202,4,4,7,4,4,
      32,4,32,4,{8,32},33,32,33,33,32,{17,33},31,32,31,33,32,31,32,
      28,4,28,28,20,28,{5,20},204,0,1,1,253,155,155,211,172,250,248,
      244,241,239,237,234,232,231,230,228,226,223,220,219,217,216,212,215,{224,214},
      212,217,222,226,226,230,22,234,13,11,8,8,{3,10},32,29,{4,10},8,{4,29},
      {6,34},36,36,37,{5,36},38,36,38,38,{3,45},47,47,{4,41},47,{4,44},{4,42},{3,43},{6,40},
      {5,35},{5,33},{3,31},{4,28},20,19,203,2,205,2,208,252,210,250,153,213,239,235,
      232,231,229,228,227,224,221,219,217,212,215,{217,214},215,215,218,223,229,21,
      233,22,12,21,13,11,8,11,{4,30},240,238,{3,237},235,234,233,232,232,231,
      230,229,{3,228},227,226,223,{3,220},221,222,223,224,225,226,227,228,229,230,231,
      231,232,233,234,236,238,239,240,241,213,244,58,250,146,{4,47},52,44,{3,48},
      49,43,46,43,46,43,40,43,{3,40},{4,35},{4,33},31,28,31,32,20,20,203,
      0,1,145,211,69,250,63,241,238,235,233,231,229,228,225,222,219,218,
      216,212,215,{211,214},212,212,219,16,228,14,209,228,{3,229},230,229,227,226,223,
      219,216,212,215,{41,214},215,216,219,222,226,229,231,233,237,239,213,245,36,
      45,76,{3,52},48,51,{3,49},{4,46},43,43,{3,40},{3,35},{4,33},31,31,28,28,20,204,
      9,205,6,211,210,250,153,241,238,233,231,230,228,227,226,222,220,218,
      212,215,{207,214},215,216,{4,218},212,{64,214},212,218,223,228,231,234,238,241,156,38,
      60,52,60,53,53,51,49,50,50,49,46,49,43,46,43,43,{3,40},35,
      35,{3,33},31,28,28,20,20,203,0,2,155,251,38,37,242,240,237,233,
      231,230,228,224,220,217,212,{283,214},216,221,227,230,233,238,241,56,146,60,
      52,{3,53},51,51,50,49,50,49,46,46,{3,43},40,{3,35},{3,33},31,31,28,20,
      9,0,1,205,6,252,146,170,241,236,232,229,226,222,219,217,212,{285,214},
      215,218,224,229,233,238,240,213,63,146,76,60,52,59,55,{3,54},50,50,
      49,49,46,{3,43},40,40,35,35,33,33,31,31,28,20,20,0,2,155,
      39,245,239,234,231,229,226,221,218,212,{290,214},216,221,227,231,237,242,149,
      76,60,62,59,61,{3,54},50,50,49,49,46,43,43,40,40,35,35,33,
      33,31,31,28,28,20,207,2,252,250,243,238,233,230,226,221,218,212,
      {292,214},212,219,228,234,240,58,76,62,62,64,61,{4,54},50,49,49,46,46,
      43,{3,40},35,35,33,31,31,28,20,9,9,6,210,156,239,233,230,228,
      224,221,218,212,{292,214},215,219,229,236,213,149,122,141,66,64,61,61,{3,54},
      50,49,49,46,46,43,40,40,35,35,33,33,31,28,28,20,0,2,
      210,63,241,236,232,230,228,222,219,212,{293,214},212,221,230,237,244,69,121,
      67,65,65,{3,61},54,50,50,{3,49},43,43,40,{3,35},33,31,31,32,20,0,
      205,124,69,56,241,234,230,226,221,217,212,{294,214},216,228,236,244,146,76,
      118,71,67,65,65,61,61,54,{3,50},49,49,46,43,43,40,35,33,33,
      31,31,28,20,9,2,252,249,240,233,229,224,219,217,215,{294,214},212,222,
      229,233,239,154,76,135,148,70,70,65,61,{3,54},50,49,49,46,46,43,
      40,40,35,33,31,31,28,4,9,6,69,242,237,231,227,222,219,212,
      {296,214},215,219,229,240,146,121,150,147,70,65,65,61,{3,54},50,49,49,46,
      43,43,40,40,35,33,31,31,28,20,205,3,250,241,234,229,223,219,
      212,{297,214},216,227,235,190,121,157,148,147,147,65,65,61,61,54,54,50,
      49,46,46,43,40,40,35,33,33,31,31,4,204,1,251,198,237,230,
      228,222,218,212,{297,214},219,230,240,146,157,150,152,147,70,65,61,61,{3,54},
      50,49,46,43,43,40,40,35,33,31,31,28,20,1,211,248,240,234,
      229,224,219,212,{297,214},212,227,238,149,76,151,150,152,147,70,65,65,61,
      54,54,50,50,49,46,43,43,40,35,33,33,31,28,20,19,2,252,
      244,236,229,223,219,212,{152,214},216,220,222,224,{3,225},224,222,219,212,{134,214},212,
      224,232,240,249,122,159,160,152,147,70,70,65,61,54,54,50,50,49,
      46,43,43,40,35,35,33,31,28,20,9,252,23,236,229,223,218,215,
      {149,214},216,223,230,233,236,236,237,236,235,232,228,220,212,{136,214},215,220,230,
      241,76,159,152,152,147,70,70,65,61,54,54,50,50,49,46,43,43,
      40,35,35,33,31,28,20,1,252,244,235,228,220,212,{148,214},219,233,249,
      211,{5,253},252,243,230,217,{139,214},218,230,244,175,161,160,152,147,147,70,65,
      61,61,54,50,50,49,46,46,43,40,35,35,33,31,28,20,9,251,
      241,231,227,221,217,215,{145,214},220,242,127,{7,125},143,238,218,{141,214},220,235,146,
      164,161,160,152,147,147,70,65,61,61,54,50,50,46,46,43,40,40,
      35,33,33,31,28,201,6,36,238,231,227,221,212,{144,214},222,249,127,{7,125},
      136,240,219,{142,214},212,228,241,175,162,160,160,152,152,70,70,65,61,61,
      54,54,49,49,46,43,40,40,35,33,31,31,20,0,6,38,240,231,
      223,217,215,{142,214},222,249,136,{7,125},136,240,219,{144,214},219,232,170,175,166,163,
      161,152,152,147,70,65,65,61,61,54,50,49,46,43,43,40,35,33,
      31,31,28,5,6,249,235,228,219,212,{141,214},222,248,127,{7,125},136,240,219,
      {146,214},221,233,149,165,167,163,160,152,152,147,70,65,61,61,54,50,50,
      49,46,43,43,35,35,33,31,28,28,9,251,240,230,221,212,{140,214},222,
      248,127,{7,125},136,241,219,{147,214},212,226,240,175,167,167,163,{3,152},147,70,65,
      61,61,54,50,49,49,43,43,40,35,33,33,31,28,203,3,245,233,
      224,217,215,{138,214},222,248,127,{7,125},136,240,219,{149,214},219,237,175,177,167,163,
      160,{3,152},70,65,61,61,54,50,50,49,46,43,43,35,35,33,31,31,
      4,2,249,235,228,220,212,{137,214},222,249,127,126,{6,125},136,240,219,{150,214},219,
      233,172,171,169,167,163,160,152,152,70,70,65,61,54,54,50,49,46,
      43,40,40,35,33,31,31,28,0,251,241,230,222,212,{113,214},212,216,219,
      220,221,222,222,221,220,218,216,215,{11,214},222,248,127,125,{6,126},136,240,219,
      214,215,216,219,220,222,221,220,218,216,215,{51,214},215,216,219,220,221,222,
      221,220,218,216,215,{56,214},215,217,219,220,221,221,220,218,216,215,{12,214},216,
      231,38,177,169,167,163,160,152,152,147,70,65,61,61,54,50,50,49,
      46,43,40,35,35,31,31,28,20,6,245,232,223,216,{76,214},212,218,222,
      223,{17,225},224,222,220,216,{8,214},212,218,222,226,229,230,232,{3,233},232,231,230,
      228,225,220,216,{9,214},222,248,127,{7,126},136,240,221,219,225,229,230,232,233,
      233,232,230,228,222,218,212,{8,214},216,220,222,224,{3,225},224,222,220,216,{6,214},
      215,217,221,223,{4,225},224,222,220,216,{10,214},212,219,223,228,230,231,232,233,
      232,231,230,228,223,219,212,{10,214},216,220,222,224,{4,225},223,221,217,215,{10,214},
      212,219,222,224,{4,225},223,222,218,212,{8,214},212,219,223,228,230,232,233,233,
      232,230,228,222,218,212,212,218,222,223,{3,225},224,222,220,216,212,228,245,
      178,173,169,167,163,160,152,152,147,70,65,61,61,54,50,49,49,43,
      43,40,35,33,31,31,28,1,36,233,223,216,{75,214},219,227,231,234,{17,236},
      235,233,230,222,216,{5,214},215,218,224,230,233,239,198,250,210,251,251,252,
      251,146,248,213,237,231,227,221,216,{7,214},222,248,127,{7,126},136,241,228,230,
      237,242,250,210,251,251,39,249,241,234,229,222,216,{6,214},216,222,230,233,
      235,{3,236},235,233,230,222,216,{5,214},217,225,231,234,{4,236},235,233,230,222,216,
      {7,214},212,220,227,230,236,241,248,39,{3,251},39,249,241,236,230,226,220,212,
      {7,214},216,222,230,233,235,{4,236},234,231,225,217,{9,214},212,220,229,232,235,{4,236},
      235,231,227,219,{7,214},217,223,230,236,213,250,210,251,251,39,249,241,234,
      229,223,222,228,231,234,{3,236},235,233,230,222,216,214,224,213,178,176,169,
      167,163,160,152,152,147,70,65,61,54,54,50,49,49,43,43,40,35,
      33,31,31,200,2,38,234,222,212,{73,214},212,228,241,251,155,{18,253},211,249,
      233,219,{4,214},212,220,229,236,246,252,145,143,136,{3,127},106,127,136,136,143,
      155,38,240,231,225,217,{6,214},222,248,127,{7,129},136,244,238,248,155,143,136,
      {4,127},136,123,252,243,233,225,217,{5,214},219,233,249,211,{5,253},211,249,233,219,
      {5,214},221,237,39,155,{5,253},211,249,233,219,{6,214},217,224,230,239,249,208,123,
      136,{5,127},136,123,208,249,239,230,223,217,{6,214},219,233,249,211,{5,253},155,39,
      237,221,{9,214},217,231,244,252,155,{4,253},155,251,241,228,212,{4,214},215,219,227,
      236,190,208,143,136,{4,127},136,123,252,242,234,232,213,251,155,{4,253},211,249,
      233,219,214,214,225,37,177,176,176,167,163,160,152,152,147,70,65,61,
      61,54,50,49,49,43,43,40,35,33,31,31,28,5,249,232,222,212,
      {72,214},216,233,104,{3,129},128,128,129,129,128,{7,129},128,128,129,128,129,129,106,
      242,220,{3,214},212,221,230,241,252,143,106,129,129,128,129,128,{6,129},126,143,
      123,250,236,226,217,{5,214},222,248,106,{7,129},136,146,252,143,126,{6,129},128,128,
      106,143,38,236,226,217,{4,214},220,242,106,129,128,{5,129},106,242,220,{5,214},223,
      249,{8,129},106,242,220,{5,214},218,226,235,190,253,136,126,129,128,128,{5,129},128,
      126,136,155,190,235,226,217,{5,214},220,242,106,{8,129},249,223,{9,214},218,238,100,
      {3,129},128,{4,129},104,232,216,{4,214},218,228,239,251,143,126,{8,129},106,143,39,243,
      124,{4,128},{3,129},106,242,220,214,214,215,230,172,180,176,169,169,163,163,152,
      152,147,70,65,61,61,54,50,49,49,43,43,40,35,33,31,31,200,
      1,63,232,221,216,{71,214},216,235,144,{21,130},106,248,222,{3,214},220,230,244,145,
      106,{15,130},129,143,251,237,225,216,{4,214},222,248,106,{7,130},136,57,127,128,{11,130},
      136,251,237,224,212,{3,214},222,248,106,{7,130},106,248,222,{5,214},225,251,{8,130},106,
      248,222,{4,214},217,227,237,210,136,129,{13,130},126,143,39,237,227,217,{4,214},222,
      248,106,{8,130},251,225,{9,214},219,240,143,{8,130},123,235,216,{3,214},216,226,239,211,
      127,{12,130},143,155,136,{7,130},106,248,222,{3,214},219,238,175,179,176,169,167,163,
      160,152,152,147,70,65,61,61,54,50,49,46,43,43,35,35,33,31,
      31,200,2,244,231,220,215,{70,214},216,235,123,{18,131},132,131,131,106,248,222,
      214,214,217,228,213,123,129,131,132,{3,131},132,{5,131},132,{5,131},132,127,210,234,
      221,215,{3,214},222,248,106,{7,131},136,127,{11,131},132,131,131,127,39,233,220,215,
      214,214,222,248,106,{5,131},132,131,106,248,222,{5,214},225,251,{8,131},106,248,222,
      {3,214},217,226,237,252,127,{17,131},143,251,237,225,216,{3,214},222,248,106,{4,131},132,
      {3,131},251,225,{9,214},219,240,143,{8,131},144,235,216,214,214,215,222,235,252,106,
      {3,131},132,{10,131},136,140,{5,131},132,131,106,248,222,{4,214},225,242,184,179,176,176,
      167,167,160,160,152,147,70,70,61,61,54,50,49,49,43,43,40,35,
      33,31,31,28,2,242,228,217,{70,214},216,235,144,133,135,133,135,134,135,
      135,133,133,134,135,135,133,135,134,133,134,134,133,135,134,106,248,222,
      214,214,222,237,155,130,135,134,133,135,{4,133},135,135,134,{4,133},134,133,134,
      135,133,143,154,229,216,{3,214},222,248,106,135,135,134,134,135,133,135,127,
      134,133,133,135,133,135,{9,133},135,143,246,229,216,214,214,222,248,106,133,
      {3,134},133,134,134,106,248,222,{5,214},225,251,134,{4,133},135,133,134,106,248,222,
      214,214,212,222,235,251,127,134,{3,133},135,134,{3,133},135,{3,133},{3,135},134,134,135,
      127,210,234,222,212,214,214,222,248,106,{7,133},135,251,225,{9,214},219,240,143,
      134,135,133,133,{3,135},133,144,235,216,214,214,217,230,250,127,135,{5,133},134,
      135,133,133,135,134,133,133,135,133,143,133,133,135,133,134,133,134,106,
      248,222,{4,214},215,227,39,180,179,176,176,167,163,160,152,152,147,70,65,
      61,61,54,50,49,49,43,43,35,35,33,31,28,28,208,238,223,212,
      {69,214},216,235,144,138,138,137,137,107,138,137,107,138,107,137,107,107,138,
      138,137,138,{3,107},138,106,248,222,214,212,228,250,106,107,107,137,107,138,
      137,138,107,137,137,134,{3,107},138,138,137,{3,107},138,138,253,236,220,{3,214},222,
      248,106,138,{3,107},137,138,107,107,137,137,138,107,{3,138},107,138,107,138,137,
      137,138,138,107,141,124,237,221,214,214,222,248,106,137,137,{3,107},138,137,
      106,248,222,{5,214},225,251,107,137,138,107,107,137,138,137,106,248,222,214,
      214,219,231,38,127,138,107,137,107,137,107,137,107,138,138,{5,137},107,107,
      {3,138},107,143,250,230,218,214,214,222,248,106,138,107,{3,138},137,137,107,251,
      225,{9,214},219,240,143,137,138,137,107,138,138,137,138,145,235,216,214,214,
      222,238,145,137,107,{3,137},138,107,138,138,137,137,107,138,107,107,137,137,
      138,107,{3,137},{3,138},106,248,222,{5,214},216,238,184,181,176,176,169,167,163,160,
      152,152,70,70,61,61,54,54,50,49,46,43,40,35,35,31,31,28,
      201,146,232,219,215,{68,214},216,235,144,{4,139},108,{4,139},108,{7,139},108,139,108,139,
      110,58,220,214,218,234,124,{10,139},141,110,110,{5,139},108,139,108,139,139,127,
      245,223,{3,214},222,248,110,138,108,139,139,108,139,108,108,139,139,108,108,
      139,{4,108},139,108,139,108,{3,139},108,127,248,227,216,214,222,248,110,{7,139},110,
      248,222,{5,214},225,251,139,139,{4,108},139,139,110,248,222,214,212,224,241,123,
      139,139,{3,108},{4,139},138,{4,139},108,{5,139},108,139,139,144,240,224,212,214,222,248,
      110,{4,139},108,139,108,139,251,225,{9,214},219,240,144,{4,139},108,{3,139},144,235,216,
      214,212,228,250,106,108,108,139,139,108,139,139,108,{3,139},111,108,138,138,
      {3,108},139,139,108,139,{3,108},110,248,222,{5,214},215,230,251,183,179,176,176,169,
      167,163,160,152,152,70,70,61,61,54,54,49,49,46,43,40,35,35,
      31,31,28,5,213,228,216,{68,214},216,235,145,111,{6,109},111,111,109,111,{10,109},
      110,244,219,214,220,241,144,{6,109},111,108,141,145,249,243,156,211,106,{8,109},
      107,251,229,212,214,214,222,248,110,111,{3,109},111,{3,109},108,107,127,144,103,
      144,127,141,108,{9,109},208,232,217,214,222,248,110,109,109,111,{3,109},111,110,
      248,222,{5,214},225,251,{8,109},110,248,222,214,217,231,251,141,{9,109},141,143,143,
      106,141,111,111,109,{3,111},{3,109},110,39,230,217,214,222,248,110,{7,109},111,251,
      225,{9,214},219,240,143,{7,109},111,144,235,216,214,218,233,124,{3,109},111,{4,109},111,
      109,141,143,144,103,144,106,107,111,111,109,109,111,109,111,109,109,110,
      248,222,{6,214},224,190,182,181,179,176,176,167,163,160,152,152,147,70,65,
      61,61,54,50,49,46,40,43,35,35,33,31,28,20,252,234,220,{68,214},
      216,235,144,{21,112},118,239,216,214,222,156,110,{7,112},108,155,233,217,214,212,
      229,39,110,{8,112},124,232,216,214,214,222,248,110,{8,112},141,211,240,232,230,
      232,240,251,106,{9,112},144,239,220,214,222,248,110,{7,112},110,248,222,{5,214},225,
      251,{8,112},110,248,222,214,220,239,144,{8,112},108,123,248,238,237,240,146,143,
      {9,112},145,238,220,214,222,248,110,{8,112},251,225,{9,214},219,240,144,{8,112},144,235,
      216,214,220,240,144,{9,112},143,38,238,231,230,233,241,124,141,{8,112},110,248,
      222,{6,214},219,240,184,183,181,179,176,169,167,163,160,152,152,70,70,61,
      61,54,54,49,49,46,43,40,35,33,31,31,28,5,245,228,212,{67,214},
      216,235,144,{9,113},140,252,38,{8,250},248,240,227,214,214,223,250,110,{7,113},106,
      244,220,{3,214},216,239,144,{8,113},144,237,218,214,214,222,248,110,{7,113},71,211,
      231,212,{3,214},212,229,39,141,{8,113},106,244,222,214,222,248,110,{7,113},110,248,
      222,{5,214},225,251,{8,113},110,248,222,214,223,246,106,{8,113},123,239,220,{3,214},225,
      245,127,{8,113},106,246,223,214,222,248,110,{8,113},251,225,{9,214},219,240,127,{8,113},
      103,235,216,214,222,244,106,{8,113},106,246,225,{4,214},217,232,124,142,{7,113},110,
      248,222,{6,214},216,236,192,183,181,179,176,176,169,167,160,160,152,147,70,
      70,61,61,54,50,49,49,43,43,35,40,33,31,31,199,3,232,217,
      {67,214},216,235,103,{9,114},144,235,216,{13,214},224,39,{8,114},144,240,217,{4,214},231,124,
      {8,114},144,239,219,214,214,222,248,118,{7,114},144,240,217,{5,214},212,235,144,{8,114},
      118,249,223,214,222,248,118,{7,114},118,248,222,{5,214},225,251,{8,114},118,248,222,
      212,228,251,142,{7,114},118,149,224,{5,214},230,211,112,{7,114},142,251,228,212,222,
      248,118,{8,114},251,225,{9,214},219,240,144,{8,114},144,235,216,214,223,250,118,{8,114},
      208,230,215,{5,214},217,240,144,{7,114},118,248,222,{6,214},212,233,192,183,183,179,
      179,176,169,167,163,160,152,152,70,70,61,61,54,54,49,49,43,43,
      40,35,33,31,31,28,1,239,222,{67,214},216,235,144,{7,115},116,114,103,235,
      216,{13,214},225,251,116,115,115,116,{4,115},144,237,216,{4,214},227,252,115,115,116,
      {5,115},144,240,219,214,214,222,248,118,116,{3,115},{3,116},124,230,{7,214},226,251,113,
      {3,115},116,116,115,116,113,39,224,214,222,248,118,{7,115},118,248,222,{5,214},225,
      251,{3,115},116,115,115,116,115,118,248,222,212,231,104,115,115,116,115,116,
      115,116,115,144,240,217,{5,214},221,246,110,115,{3,116},115,116,115,116,104,231,
      212,222,248,118,{5,115},116,115,115,251,226,{9,214},219,240,144,115,116,{3,115},116,
      115,115,103,235,216,214,224,39,{3,115},116,{4,115},118,248,221,{7,214},231,124,{7,115},
      118,248,222,{6,214},216,233,252,186,183,181,179,176,169,167,163,160,152,152,
      70,70,65,61,54,54,50,49,46,43,40,35,35,31,31,28,5,23,
      227,212,{66,214},216,235,103,{9,117},144,238,225,{7,222},221,219,216,{3,214},225,251,{7,117},
      116,103,235,216,{4,214},225,251,{7,117},119,144,240,219,214,214,222,248,118,{7,117},
      252,227,{7,214},222,250,118,{8,117},210,225,214,222,248,118,{7,117},118,249,223,{5,214},
      225,251,{8,117},118,248,222,212,234,103,{8,117},145,237,217,{5,214},219,213,144,{8,117},
      103,234,212,222,248,118,{8,117},211,230,216,{8,214},219,240,144,{7,117},116,103,235,
      216,214,225,251,{8,117},144,213,219,{7,214},227,252,{7,117},118,248,222,{6,214},217,235,
      192,186,183,181,179,176,176,169,163,163,152,152,147,70,65,61,61,54,
      50,49,49,43,43,35,35,31,31,28,28,192,230,216,{66,214},216,235,103,
      {9,119},145,213,234,{7,233},231,229,222,216,214,214,225,251,{8,119},103,235,216,{4,214},
      225,251,{8,119},144,240,219,214,214,222,248,121,{7,119},251,227,215,{6,214},223,249,
      121,{8,119},251,224,214,222,248,121,{7,119},121,38,225,{5,214},225,251,{8,119},121,248,
      222,212,234,103,{8,119},144,237,218,{5,214},220,213,144,{8,119},103,234,212,222,248,
      121,{8,119},124,236,219,{8,214},219,240,144,{8,119},103,235,216,214,224,251,{8,119},144,
      241,220,{7,214},226,251,{7,119},121,248,222,{6,214},219,237,192,186,185,183,179,176,
      176,169,167,163,{3,152},70,70,61,61,54,50,49,49,43,43,40,35,35,
      31,31,28,2,236,219,{66,214},216,235,103,{9,120},136,155,{8,252},251,58,234,220,
      214,214,225,251,{8,120},103,235,216,{4,214},225,251,{8,120},144,240,219,214,214,222,
      248,121,{7,120},211,230,217,{5,214},212,228,146,121,{8,120},210,223,214,222,248,121,
      {8,120},252,229,212,{4,214},226,251,{8,120},121,248,222,215,232,104,{8,120},144,239,221,
      {4,214},215,225,245,100,{8,120},104,232,215,222,248,121,{8,120},144,242,226,216,{7,214},
      219,240,144,{8,120},103,235,216,214,223,210,{8,120},144,244,223,{6,214},216,229,211,
      {7,120},121,248,222,{6,214},223,241,193,189,185,181,181,176,176,169,167,163,163,
      152,152,70,70,65,61,54,54,50,49,46,43,40,35,35,31,31,28,
      7,213,221,{66,214},216,235,103,{9,89},95,{10,121},95,245,222,214,214,225,251,{8,89},
      103,235,216,{4,214},225,251,{7,89},120,100,240,219,214,214,222,248,121,{6,89},120,
      103,238,223,212,{3,214},212,221,234,155,{8,89},117,38,221,214,222,248,121,{8,89},
      124,235,219,{3,214},216,230,211,{8,89},121,248,221,214,228,252,{8,89},144,247,228,
      217,214,214,215,219,230,210,121,{8,89},252,228,214,222,248,121,{8,89},121,252,
      236,226,219,212,214,214,212,212,215,219,240,100,{8,89},103,235,216,214,221,
      38,117,{7,89},121,39,229,217,{4,214},212,222,236,145,{7,89},121,248,222,{5,214},216,
      229,36,188,189,185,183,181,179,176,169,167,163,160,152,152,70,70,65,
      61,54,54,50,49,46,43,40,35,35,{3,31},200,249,222,{66,214},216,235,103,
      {21,90},39,224,214,214,225,251,{8,90},103,235,216,{4,214},225,251,{8,90},100,240,219,
      214,214,222,248,121,{7,90},144,38,233,227,221,220,220,225,231,246,144,{8,90},
      121,246,219,214,222,248,121,{8,90},144,242,228,218,212,212,223,237,124,{8,90},
      121,58,221,214,221,250,97,{7,90},116,208,238,229,225,223,226,230,241,123,
      {8,90},97,250,221,214,222,248,121,{9,90},144,146,237,230,228,226,227,226,223,
      219,221,240,100,{8,90},103,235,216,214,219,153,121,{8,90},145,239,228,220,218,
      217,219,223,231,248,144,{7,90},121,248,222,{4,214},215,219,235,252,186,189,185,
      183,181,{3,176},167,163,160,152,152,70,70,65,61,54,54,{3,49},43,43,35,
      35,31,31,28,28,250,222,{66,214},216,235,103,{21,91},251,225,214,214,225,251,
      {8,91},103,235,216,{4,214},225,251,{8,91},100,240,219,214,214,222,248,95,{7,91},93,
      123,149,237,232,231,232,237,153,123,79,{8,91},100,240,217,214,222,248,95,
      {8,91},95,211,238,230,228,228,233,248,144,{8,91},95,246,220,214,216,241,118,
      {8,91},144,252,241,236,234,237,244,253,95,{8,91},118,241,216,214,222,248,95,
      {9,91},93,144,211,156,240,238,238,239,238,229,223,240,100,{8,91},103,235,216,
      214,217,241,100,{8,91},118,252,239,232,{3,230},235,244,123,93,{7,91},95,248,222,
      {4,214},216,226,242,193,189,189,185,183,181,179,176,169,167,163,163,152,152,
      70,70,65,61,54,54,50,49,46,43,40,35,35,31,31,28,200,36,
      222,{66,214},216,235,103,{21,92},251,225,214,214,225,251,{8,92},103,235,216,{4,214},225,
      251,{8,92},100,240,219,214,214,222,248,95,{8,92},93,123,155,39,38,146,211,
      123,97,{9,92},104,234,212,214,222,248,95,{9,92},144,252,243,239,240,249,123,
      93,91,{7,92},118,242,219,214,215,231,104,{9,92},100,123,208,211,155,123,95,
      {9,92},104,231,215,214,222,248,95,{11,92},118,144,145,253,145,124,76,239,226,
      240,100,{8,92},103,235,216,214,212,234,104,{9,92},144,253,146,245,244,248,251,
      123,97,{8,92},95,248,222,{3,214},212,221,233,252,196,189,189,185,183,179,179,
      176,169,167,163,160,152,152,70,70,65,61,54,54,50,46,49,43,40,
      35,35,31,31,28,28,250,220,{66,214},216,235,103,{21,94},251,225,214,214,225,
      251,{8,94},103,235,216,{4,214},225,251,{8,94},100,240,219,214,214,222,248,95,{10,94},
      97,100,100,144,97,{10,94},90,146,225,214,214,222,248,95,{10,94},118,123,145,
      123,144,97,{9,94},100,239,216,214,214,221,245,95,{10,94},97,95,93,{10,94},95,
      245,220,214,214,222,248,95,{17,94},97,249,228,240,100,{8,94},103,235,216,214,
      214,225,146,90,{9,94},93,100,123,144,144,118,90,{9,94},95,248,222,{3,214},219,
      230,248,3,194,189,189,185,183,181,176,176,169,167,163,160,152,152,70,
      70,65,61,54,54,50,49,46,43,40,35,35,31,31,28,4,243,218,
      {66,214},216,235,103,{21,96},210,223,214,214,225,251,{8,96},103,235,216,{4,214},225,251,
      {8,96},100,240,219,214,214,222,248,95,{25,96},100,239,212,214,214,222,248,95,
      {25,96},104,234,212,214,214,215,231,104,91,{21,96},91,252,230,215,214,214,222,
      248,95,{7,96},97,{10,96},210,229,240,100,{8,96},103,235,216,214,214,212,239,100,
      {25,96},95,248,222,214,214,217,228,241,208,195,194,189,185,183,181,179,176,
      176,169,167,163,{3,152},70,65,61,61,54,50,49,49,43,43,40,35,35,
      31,31,28,3,236,212,{66,214},216,235,103,{21,98},39,221,214,214,225,251,{8,98},
      103,235,216,{4,214},225,251,{8,98},100,240,219,214,214,222,248,97,{7,98},92,{16,98},
      92,69,228,{3,214},222,248,97,{7,98},93,{17,98},251,227,{4,214},219,239,104,{21,98},104,
      238,218,{3,214},222,248,97,{7,98},100,79,{9,98},252,231,240,100,{8,98},103,235,216,
      {3,214},228,69,92,{16,98},101,{7,98},97,248,222,214,212,223,235,251,196,195,189,
      189,185,183,181,179,176,169,167,167,160,152,152,147,70,65,61,61,54,
      50,49,49,43,43,40,35,35,31,31,28,211,209,215,{66,214},216,235,104,
      {9,99},98,{11,99},243,217,214,214,224,251,{8,99},103,235,216,{4,214},224,251,{8,99},100,
      240,219,214,214,221,248,97,{7,99},100,101,{15,99},104,236,216,{3,214},222,248,97,
      {7,99},121,95,{14,99},98,121,241,218,{5,214},223,241,100,{19,99},100,241,223,{4,214},221,
      248,97,{7,99},100,143,98,{8,99},211,233,241,100,{8,99},104,235,216,{3,214},216,236,
      104,98,{15,99},100,98,{6,99},97,248,222,216,223,233,38,3,195,194,189,189,
      185,183,181,176,176,169,167,163,160,152,152,70,70,65,61,54,54,50,
      49,49,43,43,40,35,{3,31},28,202,227,215,{66,214},216,235,103,{9,78},57,211,
      {9,250},213,229,215,214,214,222,39,{8,78},104,234,212,{4,214},222,210,{8,78},104,240,
      218,214,214,220,246,97,{7,78},123,144,{14,78},104,240,222,{4,214},222,248,97,{7,78},
      97,57,82,{12,78},99,101,146,228,{7,214},223,241,104,{16,78},96,104,241,223,{5,214},
      220,246,97,{7,78},100,251,122,{8,78},104,236,240,104,{7,78},99,104,234,212,{4,214},
      222,240,104,{14,78},144,143,{7,78},97,246,224,225,233,248,211,197,195,194,189,
      185,183,181,179,176,176,169,167,163,{3,152},70,70,61,61,54,54,49,49,
      46,43,40,35,35,31,31,28,4,23,221,{67,214},216,236,104,{9,80},104,235,
      216,{13,214},220,250,{7,80},78,76,231,212,{4,214},220,250,{8,80},122,238,216,214,214,
      218,242,79,{7,80},104,244,104,98,{10,80},98,104,240,223,{5,214},222,248,79,{7,80},
      79,210,39,95,78,{10,80},93,69,232,216,{8,214},222,239,252,79,78,78,{10,80},
      78,97,76,238,222,{6,214},218,242,79,{7,80},122,241,243,122,{7,80},124,236,239,
      122,{8,80},76,231,212,{5,214},223,240,104,98,{9,80},78,78,104,250,104,{7,80},79,
      244,228,236,149,6,200,195,194,189,189,185,183,181,176,176,169,167,163,
      160,152,152,147,70,70,61,{3,54},49,49,43,43,40,35,35,31,31,28,
      3,233,216,{67,214},216,235,104,{9,80},104,235,216,{13,214},216,240,82,{6,79},82,87,
      227,{5,214},216,240,82,{7,79},86,232,212,214,214,212,236,102,{6,79},82,87,230,
      233,146,122,99,{6,80},101,122,146,235,221,{6,214},222,248,79,{7,80},79,249,231,
      243,122,85,{7,80},101,122,248,230,216,{10,214},218,230,244,122,102,{8,80},99,121,
      76,244,230,218,{7,214},212,236,102,{7,79},86,232,226,240,122,79,{5,80},102,235,
      233,86,{8,79},87,227,{7,214},221,235,146,122,101,{7,80},102,76,239,231,87,82,
      {6,79},102,239,237,39,7,199,195,195,189,189,185,183,181,179,176,176,167,
      167,160,160,152,152,70,70,61,61,54,54,49,49,46,43,43,35,35,
      31,31,28,7,241,221,{68,214},216,235,104,{9,81},104,239,227,{7,225},224,222,220,
      216,{3,214},227,238,{6,213},239,230,218,{6,214},227,238,{6,213},240,233,222,{4,214},224,235,
      241,{5,213},239,230,218,212,226,238,250,76,{4,122},76,190,236,225,212,{7,214},222,
      248,79,{7,81},79,248,222,221,233,244,69,{5,122},76,58,235,223,{14,214},219,231,
      240,38,76,{5,122},76,250,239,230,219,{10,214},224,235,241,{5,213},240,233,222,214,
      219,231,213,69,{3,122},102,105,228,222,233,241,244,246,58,58,246,244,240,
      230,218,{8,214},212,225,236,58,76,{5,122},39,241,230,218,218,230,239,{5,213},241,
      239,239,39,9,199,197,195,189,189,185,183,181,179,176,176,169,167,163,
      160,152,152,70,70,65,61,54,54,50,49,46,43,43,35,35,33,31,
      31,7,244,225,{69,214},216,235,104,{9,81},103,198,237,{7,236},235,233,230,222,216,
      {48,214},219,229,234,235,235,232,227,217,{10,214},222,248,82,{7,81},82,248,222,214,
      214,216,225,231,234,235,235,232,227,217,{19,214},219,229,233,235,236,235,233,
      229,219,{27,214},216,225,231,234,235,232,226,216,215,219,228,233,241,156,156,
      241,233,227,219,215,{11,214},217,227,232,235,235,234,230,222,212,{9,214},216,224,
      233,38,203,199,197,195,194,189,185,185,181,181,{3,176},167,163,160,152,152,
      147,70,65,61,61,54,54,49,49,46,43,40,35,35,31,31,7,58,
      226,{70,214},216,235,104,{8,83},81,123,123,{9,253},211,249,233,219,{66,214},222,248,82,
      {7,83},82,248,222,{74,214},218,228,239,210,124,122,122,124,210,239,228,218,{28,214},
      217,226,234,250,18,199,199,195,194,189,189,185,183,181,179,176,176,167,
      163,163,152,152,147,70,70,61,61,54,54,50,49,49,43,43,35,35,
      33,31,32,38,229,{71,214},216,235,104,{21,83},85,242,220,{66,214},222,248,82,{7,83},
      82,248,222,{73,214},212,224,239,211,82,{4,83},82,211,239,224,212,{25,214},212,219,
      228,236,38,0,199,199,195,194,189,189,185,183,181,179,176,176,167,167,
      163,160,152,152,70,70,65,61,54,54,50,49,49,43,43,40,35,35,
      31,32,39,232,216,{71,214},216,235,104,{21,84},85,248,222,{66,214},222,248,85,{7,84},
      85,248,222,{73,214},217,231,210,75,{6,84},101,210,231,217,{23,214},215,216,221,229,
      239,252,17,199,197,195,194,189,189,185,183,181,179,176,176,169,167,163,
      160,152,152,70,70,65,61,61,54,50,49,49,43,43,40,35,35,31,
      29,34,233,217,{72,214},216,235,104,{21,84},85,248,222,{66,214},222,248,85,{7,84},85,
      248,222,{73,214},219,239,122,{8,84},122,239,219,{23,214},217,224,232,242,208,201,199,
      197,195,194,189,189,185,181,181,{3,176},169,163,163,152,152,147,70,70,65,
      61,54,54,50,49,49,43,43,40,35,35,33,3,244,230,216,{73,214},216,
      234,104,{21,72},85,248,222,{66,214},222,248,85,{7,72},85,248,222,{73,214},220,244,82,
      {8,72},82,244,220,{21,214},215,218,227,235,36,1,201,199,195,195,194,189,189,
      183,183,181,179,176,169,167,163,163,160,152,152,147,70,65,61,61,54,
      50,49,49,46,43,40,35,40,32,3,238,221,{75,214},216,235,104,{21,72},85,
      248,221,{66,214},222,248,85,{7,72},85,248,222,{73,214},219,244,85,{8,72},85,244,219,
      {19,214},212,217,222,230,238,45,19,200,199,197,195,189,189,185,185,181,181,
      176,176,169,169,167,163,{3,152},70,70,65,61,61,54,50,49,49,{3,43},35,
      35,32,39,235,219,{76,214},212,234,104,{21,73},85,246,220,{66,214},222,248,75,72,
      {6,73},75,248,222,{73,214},217,240,102,{8,73},102,240,217,{17,214},215,217,222,229,234,
      242,211,203,199,197,195,194,189,189,185,185,181,181,176,176,169,169,163,
      163,{3,152},70,70,65,61,61,54,54,49,49,46,43,43,35,35,41,206,
      232,218,{77,214},212,231,76,{21,73},75,242,218,{66,214},221,248,75,{7,73},75,248,221,
      {73,214},212,232,76,{8,73},76,232,212,{16,214},212,221,228,234,243,69,205,201,199,
      197,195,194,189,189,185,183,181,179,176,176,169,167,163,160,{3,152},70,70,
      65,61,54,54,50,50,49,46,43,40,35,42,41,244,228,212,{79,214},228,
      105,{21,75},85,236,212,{66,214},220,246,75,{7,73},75,246,220,{74,214},220,240,76,{6,73},
      102,241,221,{15,214},212,219,225,232,241,251,0,201,199,197,195,194,189,189,
      185,183,181,179,176,176,169,167,167,160,160,152,147,147,70,65,61,61,
      54,54,50,49,46,46,43,35,42,41,249,236,222,{81,214},218,230,239,{19,213},
      241,235,224,{67,214},218,242,75,{7,73},75,242,218,{75,214},223,240,76,75,73,73,
      74,76,241,226,{14,214},212,218,224,229,236,249,2,203,199,197,195,194,189,
      189,185,185,181,181,179,176,176,169,167,163,160,152,152,147,147,70,61,
      61,{3,54},49,49,46,43,40,35,41,250,235,223,212,{174,214},212,236,85,{7,75},
      85,236,212,{76,214},220,232,241,248,248,213,233,221,{12,214},215,216,219,224,230,
      235,243,211,2,199,199,195,195,{3,189},185,183,181,179,176,176,169,169,163,
      163,160,152,152,147,70,65,61,61,54,54,50,49,49,46,43,40,42,
      47,240,226,215,{81,214},{3,215},{93,214},224,235,241,{5,213},241,235,224,{94,214},215,218,220,
      225,228,231,236,244,211,0,201,199,197,195,194,189,189,185,183,181,181,
      176,176,169,169,167,163,160,{3,152},70,70,65,61,61,54,54,50,49,46,
      46,40,42,41,36,233,219,{78,214},215,214,214,215,216,218,218,217,212,215,
      215,{193,214},215,217,222,228,232,237,241,248,252,0,4,199,197,195,194,189,
      189,185,183,183,181,179,176,176,169,169,163,163,{3,152},147,70,70,65,61,
      61,54,50,50,49,49,43,43,44,45,238,226,212,{79,214},{3,215},217,224,24,
      226,222,222,219,219,212,215,{189,214},212,219,223,228,234,30,39,6,205,1,
      201,199,197,195,194,189,189,185,185,183,181,179,176,176,169,167,167,160,
      160,152,152,147,70,70,65,61,61,54,50,50,49,46,43,42,44,45,
      241,228,212,{83,214},212,218,229,12,13,234,232,229,225,223,221,217,212,215,
      {183,214},212,218,222,227,230,235,213,210,207,203,199,199,197,195,194,{3,189},185,
      183,181,179,176,176,169,169,167,163,160,{3,152},70,70,65,61,61,54,54,
      50,50,49,46,43,44,47,248,238,229,218,{86,214},212,226,234,11,11,10,
      11,239,232,229,227,223,221,219,216,215,{177,214},212,216,220,225,230,233,240,
      249,211,207,203,199,199,195,195,194,189,189,185,183,183,181,179,176,176,
      169,169,167,163,163,{3,152},147,70,70,65,61,61,54,54,50,49,49,46,
      44,47,243,231,219,{90,214},216,224,231,13,8,29,10,206,243,238,233,229,
      227,225,223,221,220,218,212,{168,214},215,216,218,220,222,226,229,232,238,198,
      210,2,203,201,199,197,195,194,194,189,189,185,183,183,181,179,176,176,
      169,169,167,163,163,{3,152},147,70,70,65,61,61,54,54,50,49,49,46,
      44,45,241,230,218,{94,214},216,226,234,241,8,29,200,202,202,244,240,235,
      232,231,230,209,227,223,220,217,212,215,{160,214},212,217,220,223,228,230,231,
      234,238,242,250,208,9,203,200,199,195,195,194,189,189,185,185,183,181,
      181,179,176,176,169,169,167,163,160,{3,152},147,70,70,65,61,61,54,54,
      50,49,49,48,41,45,239,228,216,{98,214},212,223,232,241,206,10,200,4,
      7,206,250,249,190,213,238,233,230,229,227,222,219,217,215,{154,214},212,218,
      221,226,229,231,236,241,248,146,192,253,204,17,201,199,197,195,194,194,
      189,189,185,185,183,181,179,179,176,176,169,167,167,163,160,160,152,152,
      147,147,70,65,61,61,54,54,50,49,49,48,47,249,237,227,212,{103,214},
      219,230,239,198,206,10,10,200,201,201,3,3,39,245,241,238,233,230,
      228,225,221,219,216,215,215,{145,214},212,218,220,223,228,230,233,238,245,38,
      211,207,203,203,201,200,197,195,194,194,189,189,185,185,183,181,181,179,
      {3,176},169,167,163,163,160,152,152,147,147,70,70,65,61,61,54,54,50,
      50,48,47,47,45,213,232,222,212,{107,214},212,222,230,235,241,249,202,196,
      199,199,201,204,9,3,38,245,240,237,233,230,228,225,223,220,217,212,
      {137,214},215,212,218,220,223,227,230,232,236,241,247,210,6,204,203,201,199,
      197,197,195,194,{3,189},185,185,183,181,181,179,176,176,169,169,167,163,163,
      160,152,152,{3,147},70,65,65,61,{3,54},50,51,47,47,245,237,230,225,216,
      {114,214},216,226,234,244,192,193,196,{3,199},5,5,2,252,39,247,241,237,234,
      231,209,227,223,221,220,219,216,212,215,214,215,{122,214},215,212,217,219,220,
      222,225,228,230,231,236,240,246,38,208,1,204,203,200,199,197,195,195,
      194,{3,189},185,185,183,181,181,179,{3,176},169,169,167,163,160,160,{3,152},147,70,
      70,65,61,61,54,54,50,51,52,47,249,238,229,218,{121,214},217,228,235,
      243,187,193,196,197,199,199,200,201,5,205,208,252,250,198,239,235,233,
      231,230,229,228,226,224,222,221,219,216,212,215,{111,214},212,216,218,221,222,
      224,226,228,229,230,231,233,236,240,246,39,208,205,19,203,201,199,197,
      197,195,194,194,{3,189},185,185,183,181,181,179,{3,176},169,169,167,163,160,160,
      {3,152},147,70,70,65,61,61,{3,54},51,53,47,250,239,230,221,215,{126,214},216,
      228,235,244,187,193,196,195,197,{3,199},200,203,3,6,252,39,250,58,243,
      241,239,236,234,232,230,229,228,225,222,220,219,217,212,215,215,{97,214},215,
      212,217,219,221,222,223,226,229,230,231,234,236,239,241,198,249,39,251,
      208,207,204,203,200,199,197,197,195,194,194,{3,189},185,185,183,183,181,179,
      179,{3,176},169,169,167,163,160,160,{3,152},147,147,70,65,65,61,61,54,54,
      55,53,52,249,239,230,222,212,{132,214},216,226,234,242,187,193,188,196,196,
      195,197,197,199,200,201,203,204,0,1,253,6,252,39,249,243,241,238,
      235,232,230,229,228,226,224,222,220,219,218,216,212,215,{83,214},215,212,216,
      218,219,221,223,226,228,229,230,231,233,236,240,243,249,39,252,6,253,
      207,0,17,203,201,200,197,197,195,195,194,194,{3,189},185,185,183,183,181,
      179,179,{3,176},169,169,167,163,163,160,160,{3,152},147,70,70,65,{3,61},55,59,
      53,52,60,248,239,231,221,215,{138,214},216,225,232,238,213,190,187,193,188,
      191,194,{3,195},197,197,199,199,4,203,203,207,1,3,252,69,249,245,241,
      238,235,233,232,231,230,229,228,226,223,222,220,219,218,218,217,216,212,
      215,{64,214},212,216,217,217,218,219,220,222,223,226,228,229,230,231,233,234,
      237,240,245,250,210,252,208,6,207,203,203,201,199,199,197,197,195,{3,194},
      {3,189},185,185,183,183,181,181,179,179,{3,176},169,169,167,167,163,160,160,{4,152},
      147,70,70,65,65,61,61,55,53,52,76,250,242,239,234,228,218,{147,214},
      216,224,231,238,245,187,193,188,191,{3,194},195,195,{3,197},199,200,201,201,204,
      204,2,253,208,252,39,250,248,242,240,239,235,233,232,230,230,229,229,
      228,228,226,224,222,221,220,219,219,218,217,216,216,215,{4,212},215,214,214,
      215,214,214,215,{14,214},{4,215},{6,214},215,{4,212},216,212,216,216,218,219,219,220,220,
      222,223,224,225,227,228,229,230,230,231,232,233,236,239,241,243,168,146,
      251,211,6,6,19,204,201,201,200,199,197,197,195,195,{3,194},{4,189},185,185,
      183,183,181,181,179,179,{3,176},169,169,167,167,163,163,160,160,{3,152},147,147,
      70,65,65,61,61,59,59,52,60,250,241,234,228,218,215,{155,214},216,226,
      232,239,245,38,193,193,191,186,{4,194},195,195,{3,197},199,200,199,4,203,203,
      5,205,205,2,104,252,39,250,154,156,245,242,241,238,236,234,233,{3,231},
      230,230,229,{3,228},227,227,226,226,225,{4,223},222,{19,223},{3,222},223,224,226,227,{4,228},
      227,228,229,230,230,231,231,233,234,235,236,237,239,213,245,170,154,38,
      210,252,211,1,205,207,203,203,201,200,200,199,197,197,{3,195},{3,194},{3,189},{3,185},
      183,183,181,181,179,179,{3,176},{3,169},167,167,163,163,160,160,{3,152},147,147,70,
      70,65,65,64,59,53,60,76,248,241,236,228,220,212,{163,214},216,223,231,
      237,213,249,187,193,188,191,186,{3,189},{3,194},195,197,195,197,197,{3,199},200,201,
      201,2,204,0,19,205,1,6,6,3,210,146,38,149,149,158,242,{6,240},
      238,237,236,{5,235},234,{3,235},234,235,235,234,235,234,235,234,{3,235},234,234,235,
      235,{3,234},237,239,{5,240},241,241,242,58,38,149,146,39,211,3,6,208,155,
      1,{4,204},{3,201},199,199,{3,197},195,195,{3,194},{5,189},185,185,{3,183},181,181,179,179,{4,176},
      169,169,{3,167},163,163,160,160,{3,152},147,147,70,70,65,65,64,62,52,60,
      146,244,240,233,228,219,215,{171,214},212,220,228,233,239,245,187,193,193,188,
      191,186,186,{3,189},194,189,194,194,{4,195},{5,197},199,{3,200},5,{4,203},204,207,207,{5,205},
      6,6,211,211,175,211,175,{5,211},208,211,211,208,211,208,211,208,{6,211},175,
      211,175,211,208,2,{7,205},207,204,{4,203},201,{3,200},199,199,{3,197},{3,195},{4,194},{4,189},185,
      189,185,185,{3,183},{3,181},179,179,{4,176},{3,169},167,167,163,163,160,160,{4,152},147,147,
      70,70,67,64,62,52,60,69,149,213,236,230,223,216,{181,214},216,223,230,
      234,239,244,250,187,192,{3,184},188,188,183,186,185,185,186,189,189,{8,194},195,
      194,{5,195},{6,197},196,196,{27,200},196,199,{4,197},195,197,{4,195},194,195,{5,194},{3,189},186,189,
      {5,185},{4,183},{3,181},{3,179},{4,176},{3,169},{3,167},163,163,{3,160},152,152,{3,147},148,148,88,107,68,
      118,60,76,76,38,63,241,237,231,226,219,212,{190,214},212,219,224,228,230,
      232,235,239,213,168,187,175,184,{3,182},{3,183},{5,185},189,185,{10,189},194,189,{26,194},189,
      194,{10,189},185,189,189,{5,185},{5,183},{3,181},{4,179},{4,176},169,176,{3,169},{3,167},{3,163},160,160,{4,152},
      147,147,148,150,77,71,95,122,69,149,243,239,237,234,231,229,225,220,
      216,{204,214},215,218,224,229,233,237,239,213,249,172,175,175,178,178,182,182,
      180,183,181,{9,183},{16,185},189,{15,185},{9,183},{5,181},{5,179},{7,176},{4,169},{3,167},{3,163},{4,160},{3,152},148,150,
      151,113,118,122,122,76,149,245,241,239,234,230,226,220,212,{219,214},212,219,
      224,228,230,234,238,240,213,154,38,172,175,178,178,177,177,{4,180},179,181,
      179,181,179,181,179,181,179,{16,181},179,181,{9,179},176,179,{8,176},173,176,{4,169},{5,167},
      {3,163},{5,160},{3,150},151,157,142,102,122,76,149,249,243,241,239,235,231,229,226,
      220,216,{235,214},216,221,226,229,233,237,239,241,213,242,245,249,175,178,175,
      178,175,178,178,{4,177},{3,174},171,171,{4,173},176,173,176,169,{5,176},169,176,{6,169},167,
      169,{7,167},163,163,161,162,162,161,161,162,159,159,157,141,157,121,122,122,
      76,76,149,158,243,213,241,239,238,235,231,228,223,218,212,{253,214},212,219,
      226,229,230,232,232,233,235,239,240,241,241,213,213,244,170,168,149,249,
      172,146,172,172,{4,175},164,164,{5,165},164,166,164,{4,165},{3,164},76,69,146,146,38,
      149,249,153,158,158,242,241,240,239,237,236,234,232,230,229,226,222,218,
      212,{278,214},215,216,216,218,218,220,223,226,228,228,229,229,230,231,232,233,
      234,235,235,236,236,237,236,235,234,234,233,233,232,230,228,226,222,220,
      222,222,218,{3,216},{2158,214} }
      ))

  atom mTbarm4
  mTbarm4 = allocate(240)
  poke(mTbarm4, ucs(
      { 0,0,0,0,16,0,38,0,70,0,105,0,108,0,101,0,0,
      0,0,0,100,0,38,0,78,0,101,0,119,0,46,0,46,0,46,
      0,0,0,0,0,101,0,38,0,79,0,112,0,101,0,110,0,46,
      0,46,0,46,0,0,0,0,0,102,0,38,0,83,0,97,0,118,
      0,101,0,46,0,46,0,46,0,0,0,0,0,0,0,0,0,0,
      0,105,0,38,0,80,0,114,0,105,0,110,0,116,0,46,0,46,
      0,46,0,0,0,0,0,0,0,0,0,128,0,109,0,69,0,38,
      0,120,0,105,0,116,0,0,0,16,0,38,0,69,0,100,0,105,
      0,116,0,0,0,0,0,106,0,67,0,117,0,38,0,116,0,0,
      0,0,0,103,0,38,0,67,0,111,0,112,0,121,0,46,0,46,
      0,46,0,0,0,128,0,104,0,38,0,80,0,97,0,115,0,116,
      0,101,0,0,0,144,0,38,0,72,0,101,0,108,0,112,0,0,
      0,128,0,108,0,38,0,65,0,98,0,111,0,117,0,116,0,46,
      0,46,0,46,0,0,0 }
      ))

  atom mAboutbox5
  mAboutbox5 = allocate(328)
  poke(mAboutbox5, ucs(
      { 192,0,200,144,0,0,0,0,4,0,160,0,78,0,144,0,77,
      0,0,0,0,0,65,0,98,0,111,0,117,0,116,0,32,0,84,
      0,111,0,111,0,108,0,98,0,97,0,114,0,32,0,68,0,101,
      0,109,0,111,0,0,0,8,0,77,0,83,0,32,0,83,0,97,
      0,110,0,115,0,32,0,83,0,101,0,114,0,105,0,102,0,0,
      0,0,0,0,0,1,80,0,0,0,0,54,0,51,0,40,0,14,
      0,1,0,255,255,128,0,79,0,75,0,0,0,0,0,0,0,1,
      0,2,80,0,0,0,0,28,0,17,0,92,0,8,0,255,255,255,
      255,130,0,65,0,32,0,84,0,111,0,111,0,108,0,98,0,97,
      0,114,0,32,0,68,0,101,0,109,0,111,0,0,0,0,0,0,
      0,1,0,0,80,0,0,0,0,36,0,27,0,76,0,8,0,255,
      255,255,255,130,0,69,0,117,0,112,0,104,0,111,0,114,0,105,
      0,97,0,32,0,80,0,114,0,111,0,103,0,114,0,97,0,109,
      0,109,0,105,0,110,0,103,0,32,0,98,0,121,0,0,0,0,
      0,1,0,0,80,0,0,0,0,25,0,37,0,99,0,8,0,255,
      255,255,255,130,0,66,0,101,0,114,0,110,0,97,0,114,0,100,
      0,32,0,87,0,46,0,32,0,82,0,121,0,97,0,110,0,32,
      0,169,0,32,0,50,0,48,0,48,0,49,0,45,0,54,0,0,
      0,0,0,0,0 }
      ))

-- Global Resource Support Functions and Procedures
-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

global
  procedure GetIcon1(atom cxDesired,atom cyDesired)
  -- Create the Icon resource
    hIcon1 = w32Func(CreateIconFromResourceEx,{m1,2216,1,#30000,
                                          cxDesired,cyDesired,0})
  --
  end procedure

global
  procedure GetBmp1(atom dc)
  -- Create the Bmp resource
    hIdb_tbar2 = w32Func(CreateDIBitmap,{w32Func(GetDC,{dc}),mIdb_tbar2,4,mIdb_tbar2+104,
                                                          mIdb_tbar2,0})
  end procedure

global
  procedure GetBmp2(atom dc)
  -- Create the Bmp resource
    hIdb_eu3 = w32Func(CreateDIBitmap,{w32Func(GetDC,{dc}),mIdb_eu3,4,mIdb_eu3+1064,
                                                          mIdb_eu3,0})
  end procedure

global
  procedure GetMenu1()
  -- Create the Menu resource
    hTbarm4 = w32Func(LoadMenuIndirectA,{mTbarm4})
  --
  end procedure

global
  procedure GetDialog1(atom hWndParent, atom lpDialogFunc, atom dwInitParam)
  -- Create the Dialog resource
    hAboutbox5 = w32Func(DialogBoxIndirectParamA,{hInstance,mAboutbox5,hWndParent,
                                       lpDialogFunc,dwInitParam})
  --
  end procedure

  global
  function GetResStr(atom uID, atom lpBuffer, integer nBufferMax, atom strtype)
  -- Places ascii or unicode string in buffer as requested
  -- Returns the count of characters placed in buffer
  sequence astr, ustr
  atom p
  integer size

  p = find(uID*-1,StrTable)
  if p = 0 then
    print(1,uID)
    puts(1," is a invalid string resource ID.\n")
    return 0
  end if
  p += 1
  size = (StrTable[p]+(StrTable[p+1]*256))
  if size > nBufferMax then size = nBufferMax end if
  p += 2
  ustr = StrTable[p..p+(size*2)-1]
  if strtype = unicode_str then
    poke(lpBuffer,ustr&0&0)
  else
    astr = {}
    for i = 1 to size*2 by 2 do
      astr &= ustr[i]
    end for
    poke(lpBuffer,astr&0)
  end if
  return size
  --
  end function

-- *** Note
-- *** This a list of the resource types detected in the tbar.res file
-- *** but these resource types are not yet supported by ERU.EX 

   -- The first Icon as a Group resource is not supported. Each Icon
   -- of this Group has been parsed into a separate entry.
